import 'package:json_annotation/json_annotation.dart';

part 'event_tag.g.dart';

@JsonSerializable()
class EventTag{
  final String id;
  final String name;
  final String? slug;

  EventTag({required this.name, required this.id, required this.slug});

  factory EventTag.fromJson(Map<String, dynamic> json) {
      return _$EventTagFromJson(json);
    }

  Map<String, dynamic> toJson() => _$EventTagToJson(this);
}